Subject: bug#24088: emacs 25.0.95; display problems in terminal emulator after unicode wheelcair symbol

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Jul 2016 20:34:23 +0300

> Date: Wed, 27 Jul 2016 18:32:11 +0200
> From: Gregor Zattler <[email-masked]>
> 
> with this (see below) recently build emacs -Q -nw in an xterm /
> urxvt (this does not happen in a graphical frame) enter this
> Text:
> 
> 
> Zwangsräumung von HG♿M99
> 
> 
> The symbol between "HG" and "M99" is the unicode wheelchair symbol.
> 
> With point at the wheelchair symbol hit C-f: The cursor moves not to the
> "M" but to the left "9".  This gives problems in the rest of the line
> when one for instance swaps characters with C-t.  When doing so a few
> times it's hard to tell if it's a display problem or if the letters are
> swapped around.
> 
> The problem is also visible at the line between windows (see attached
> screen shot).  This happens when hitting C-l.
> 
> 
> Is this an emacs bug, a terminal emulators bug or a bug of the font used?

This character is marked as "wide" in the Unicode database, so Emacs
thinks it takes up 2 columns.